apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.2.3-1-2"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system21","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.2.3-1-2","maistra-version":"2.1.5","maistra.io/owner":"istio-system21","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system21","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"c7dc0c0a-5e4f-4575-852c-be4ba1bdbea1"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress_enabled":true,"namespace":"istio-system21"},"external_services":{"grafana":{"auth":{"password":"xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system21.svc:3000","url":"https://grafana-istio-system21.apps.pbaj49.1027-mch.fw.rhcloud.com"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system21:15014/version"},"prometheus":{"auth":{"password":"xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system21.svc:9090"},"tracing":{"auth":{"password":"xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://jaeger-query.istio-system21.svc","namespace":"istio-system21","service":"","url":"https://jaeger-istio-system21.apps.pbaj49.1027-mch.fw.rhcloud.com"}},"installation_tag":"Kiali
      [istio-system21]","istio_namespace":"istio-system21","version":"v1.36"}}
    maistra.io/mesh-generation: 2.2.3-1-2
  resourceVersion: '50300'
  name: kiali
  uid: d355e6d0-dd4f-40fb-b142-0dba1158a105
  creationTimestamp: '2022-10-27T16:46:56Z'
  generation: 4
  managedFields:
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kiali.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2022-10-27T16:46:57Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2022-10-27T16:46:57Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:maistra.io/mesh-generation': {}
          'f:labels':
            'f:maistra.io/owner': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/part-of': {}
            'f:maistra.io/owner-name': {}
            'f:app.kubernetes.io/version': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/component': {}
            'f:maistra-version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"c7dc0c0a-5e4f-4575-852c-be4ba1bdbea1"}': {}
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:strategy': {}
          'f:deployment':
            .: {}
            'f:accessible_namespaces': {}
            'f:image_pull_policy': {}
            'f:ingress_enabled': {}
            'f:namespace': {}
          'f:external_services':
            .: {}
            'f:grafana':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:url': {}
            'f:istio':
              .: {}
              'f:config_map_name': {}
              'f:istio_sidecar_injector_config_map_name': {}
              'f:istiod_deployment_name': {}
              'f:url_service_version': {}
            'f:prometheus':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:url': {}
            'f:tracing':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:namespace': {}
              'f:service': {}
              'f:url': {}
          'f:installation_tag': {}
          'f:istio_namespace': {}
          'f:version': {}
      manager: istio-operator
      operation: Update
      time: '2022-10-27T17:01:58Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:accessibleNamespaces': {}
          'f:deployment':
            .: {}
            'f:accessibleNamespaces': {}
            'f:instanceName': {}
            'f:namespace': {}
          'f:environment':
            .: {}
            'f:isMaistra': {}
            'f:isOpenshift': {}
            'f:kubernetesVersion': {}
            'f:openshiftVersion': {}
            'f:operatorVersion': {}
          'f:progress':
            .: {}
            'f:duration': {}
            'f:message': {}
      manager: OpenAPI-Generator
      operation: Update
      subresource: status
      time: '2022-10-27T17:02:31Z'
  namespace: istio-system21
  ownerReferences:
    - apiVersion: maistra.io/v2
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: basic
      uid: c7dc0c0a-5e4f-4575-852c-be4ba1bdbea1
  finalizers:
    - kiali.io/finalizer
  labels:
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/instance: istio-system21
    maistra.io/owner-name: basic
    app.kubernetes.io/version: 2.2.3-1-2
    app.kubernetes.io/component: kiali
    maistra-version: 2.1.5
    app.kubernetes.io/managed-by: maistra-istio-operator
    maistra.io/owner: istio-system21
    app.kubernetes.io/name: kiali
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces:
      - another-of-your-projects
      - bookinfo
      - your-project
    image_pull_policy: ''
    ingress_enabled: true
    namespace: istio-system21
  external_services:
    grafana:
      auth:
        password: >-
          xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://grafana.istio-system21.svc:3000'
      url: 'https://grafana-istio-system21.apps.pbaj49.1027-mch.fw.rhcloud.com'
    istio:
      config_map_name: istio-basic
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      url_service_version: 'http://istiod-basic.istio-system21:15014/version'
    prometheus:
      auth:
        password: >-
          xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp
        type: basic
        use_kiali_token: false
        username: internal
      url: 'https://prometheus.istio-system21.svc:9090'
    tracing:
      auth:
        password: >-
          xTpFVa2rf3nsqIdD+JjiuskKjd+e/D3Hyl+zKTIJckp5IOcZ2f4chuRI+8IuEt90e+Le2VP+MGGo8dxDO8jALEhG7z3PKN8oHCQ4cscAFRiB4OVlUHSqqWw7mMaGM6oYD7cxXVtkjjLJjMB9xf9/2N4TdHrwe0d2XAAoL190qs1J3pU3dciyaCWsXokO6iEELoasJ0KtY+knE2f6u/GheBbhxDF6g2/QTLzatol9L/bmocBATnJdN/IuX0eP1wga5rIanZwMiA+kl7acJnvm5R09d0J8luGG3T1cty67BTdGYAI0QSniAzSjVkx9vCFnFGdZfviWQUi1pzXmV5Sp
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://jaeger-query.istio-system21.svc'
      namespace: istio-system21
      service: ''
      url: 'https://jaeger-istio-system21.apps.pbaj49.1027-mch.fw.rhcloud.com'
  installation_tag: 'Kiali [istio-system21]'
  istio_namespace: istio-system21
  version: v1.36
status:
  accessibleNamespaces: 'bookinfo,istio-system21'
  conditions:
    - lastTransitionTime: '2022-10-27T16:47:36Z'
      message: ''
      reason: ''
      status: 'False'
      type: Failure
    - ansibleResult:
        changed: 24
        completion: '2022-10-27T17:02:31.7379'
        failures: 0
        ok: 124
        skipped: 68
      lastTransitionTime: '2022-10-27T16:46:57Z'
      message: Awaiting next reconciliation
      reason: Successful
      status: 'True'
      type: Running
    - lastTransitionTime: '2022-10-27T17:02:32Z'
      message: Last reconciliation succeeded
      reason: Successful
      status: 'True'
      type: Successful
  deployment:
    accessibleNamespaces: 'bookinfo,istio-system21'
    instanceName: kiali
    namespace: istio-system21
  environment:
    isMaistra: true
    isOpenshift: true
    kubernetesVersion: 1.22.8+9e95cb9
    openshiftVersion: 4.9.48
    operatorVersion: v1.48.3
  progress:
    duration: '0:00:30'
    message: 8. Finished all resource creation
